// ---------------------------------------------------------------------------
// PileStrss.inc
// PileStrss Class for t-z (q-z) analysis
// by John Siino
// 04/23/07
// ---------------------------------------------------------------------------
class PileStrss : DataArray
{
	declare PileStrss();				// constructor

	declare FindPhiMin( double EVSo, double Phio, double Dro, double Qo ), double;
	declare CalcPhi( double Phio, double PhiMin, double StrssLvl ), double;

	declare Poisson( double StrssLvl ), double;
	declare Lamda( double StrssLvl ), double;
	declare LamdaEpsln( double StrssLvl ), double;	// Epsilon = Epsilon50 * LamdaEpsln

	declare Calc_Pile_Area( double d), double;
	declare Calc_Pile_Perimeter( double d), double;

	declare CalcTult( double EffStress, double TPhi ), double;
	declare CalcE50( double EffStress, double RefEpsilon, double RefStress ), double;
	declare CalcSetE50( int SegIndex, int E50Index, double EffStress );
	declare CalcQ( double EffStrss, double Phio, double PhiMin ), double;

	declare PileSegmentSideValues( int Seg, int LayerSegs, int i, double SegBD,
										double SegHeight, double WaterWeight,
										double EffVertWeight, double PoreWaterPress,
										double EFFVertStress, DataArray Soil );

	declare PileSegmentTipValues( int Seg, int i, double PoreWaterPress,
										double EFFVertStress, DataArray Soil );

	declare PileSegmentSandSideValues( int Seg, int LayerSegs, int i, DataArray Soil );
	declare PileSegmentSandTipValues( int Seg, int i, DataArray Soil );

	declare PileDims(double BotD, double TopD, double Epile, double deltaD, int PileShape);

	declare PLtoSL( int Seg, double LoadLvl ), double;
	declare UseROvalues( int Seg, double StrssLvl ), double;
	declare UseURvalues( int Seg, double StrssLvl ), double;

	// member varialbles
	double BD, TD, BA, TA, E, dD;
	int Shape;
}
// ---------------------------------------------------------------------------
class TZArray : DataArray
{
	declare TZArray();				// constructor
	declare PileTZAnalysis( int nSegs, PileStrss PStrss );
	declare SegmentTZAnalyze( int Seg, double BottomForce ), double;

	// member varialbles
	double BD, TD, BA, TA, E, dD;
	int Shape;
}