//+++++++++++++++++++++++++
// WinAxiPileDefines.inc  +
// by John Siino          +
// 04/23/07               +
//+++++++++++++++++++++++++

#ifdef DEBUG
declare import, OutputDebugStringA(string *str);
#endif

#define PROG_TITLE "WinAxiPile (c)2007  -  compiled: 04/23/07"

#define PI			3.1415926536f

#define TAB_1		  1		// Control ID for Tab Control

#define WIDTH  		600		// overall window width
#define HEIGHT 		600		// overall window height
#define TABHT  		 40		// tab height

#define DwgWidth	320					// width of schematic drawing windows
#define DwgTop		TABHT+5				// top of schematic drawing windows
#define DwgHeight	HEIGHT-TABHT-20		// height of schematic drawing windows
#define BrickWdth	DwgWidth-8			// soil layer graphic parameter
#define BrickHt		DwgHeight-30		// soil layer graphic parameter

#define LnHt			 20				// constants for elements of gui
#define LSpc			 5 * LnHt / 4
#define CntrlW			 70
#define Bttn_W			 50
#define WTxt			 120
#define SPIN			 30
#define SCHEM_w			 80

#define ABT_W			200				// constants for about buttons
#define ABT_H			160

#define Col0			 40				// constants for column positions
#define Col1			125
#define Col2			170
#define Col3			230
#define Col4			300
#define Col5			400
#define Col6			480
#define Col7			690
#define Col8			810

#define StaticLeft   0x50000000			// parameter for multiline left justify
#define StaticCntr   0x50000001			// parameter for multiline center justify
#define StaticRght   0x50000002			// parameter for multiline right justify

#define Sand  1							// constants used in decision trees
#define Clay  2
#define CPhi  3


// Constants for Control IDs for About Tab
#define ABT_Static_11	 11
#define ABOUT_OK		 12
#define ABT_Text_11		"AxiPile (c) 2007\n\nUniversity of Nevada, Reno\n\nJohn M. Siino,\nSherif Elfass\nand\nGary Norris"


// Constants for Menu Items
#define FILENEW		100
#define FILEOPEN	101
#define FILESAVE	102
#define FILESAVEAS	103
#define FILESVOUTPT	104
#define FILEPRINT	105
#define FILEEXIT	106
#define HELPABOUT	110
#define HELPUSER 	111


// Constants for Control IDs for Project Info Tab
#define NPROJINFO		16
#define NPROJEDIT		 7
#define NPROJBTTN		 2

#define STATIC_PDESC	200 // 201
#define STATIC_PNAME	201 // 203
#define STATIC_PNUM		202 // 205
#define STATIC_PLOC		203 // 207
#define STATIC_PENG		204 // 209
#define STATIC_PCOM		205 // 211
#define STATIC_PDAT		206 // 213

#define EDIT_PDESC		207 // 0, 202
#define EDIT_PNAME		208 // 1, 204
#define EDIT_PNUM		209 // 2, 206
#define EDIT_PLOC		210 // 3, 208
#define EDIT_PENG		211 // 4, 210
#define EDIT_PCOM		212 // 5, 212
#define EDIT_PDAT		213 // 6, 214

#define DONE_BUTTON		214 // 215
#define CLR_BUTTON		215 // 216


// Constants for Control IDs for Pile Info Tab
#define NPILEINFO		29
#define NPILETEXT		11
#define NPILEBTTN		 9
#define NPILEEDIT		 9

#define GROUP_300		300	//  0
#define GROUP_301		301
#define STATIC_302		302
#define STATIC_303		303
#define STATIC_304		304
#define STATIC_305		305
#define STATIC_306		306
#define STATIC_307		307
#define STATIC_308		308
#define STATIC_309		309
#define STATIC_310		310	// 10

#define NTp_CHECK		311	//  0
#define Tap_CHECK		312	//  1
#define Rnd_CHECK		313
#define Sqr_CHECK		314
#define Oth_CHECK		315
#define CNC_CHECK		316
#define STL_CHECK		317
#define WD_CHECK		318	//  7
#define PILE_AREA_BTN	319	//  8

#define L_EDIT			320	//  0
#define Butt_D_EDIT		321
#define Tip_D_EDIT		322
#define Butt_A_EDIT		323
#define Tip_A_EDIT		324
#define Fc_EDIT			325
#define E_EDIT			326
#define Butt_EA_EDIT	327
#define Tip_EA_EDIT		328	//  8


// Constants for Control IDs for Soil Info Tab
#define NSOILINFO			 27 // number of soil info controls (less edit controls)

#define SOIL_DESC_GROUP		400 //  0
#define STATIC_401			401 //  1
#define EDIT_NUMLAYERS		402
#define STATIC_403			403
#define EDIT_TOTDEPTH		404 //  4
#define STATIC_SCHM			405 //  5 = 405-400 (heading over Soil Profile SCHeMatic)

#define SOIL_PROP_GROUP 	500 //  6
#define EDIT_LAYERNO	 	501 //  7
#define SPIN_LAYERNO	 	502 //  8
#define CHECK_SAND 			503 //  9
#define CHECK_CLAY 			504 // 10
#define CHECK_CPHI 			505 // 11
#define CHECK_GWT 			506 // 12


#define STATIC_THK			620 // 13
#define STATIC_UNITWT		621 // 14
#define STATIC_BYNT			622
#define STATIC_DPTH			623
#define STATIC_DR			624 // 17
#define STATIC_PHI			625 // 18
#define STATIC_CUU			626 // 19
#define STATIC_SAND			627 // 20 Type of Sand
#define STATIC_E50			628
#define STATIC_REF			629
#define STATIC_K			630 // 23 = 630-620+13

#define STATIC_DLTA			631 // 24
#define STATIC_ADH			632 // 25
#define STATIC_SEG		 	633 // 26 = 633-620+13


#define NSOILEDIT			 14
#define EDIT_THICKNESS 		600 // 0,  27
#define EDIT_UNITWT	 		601 // 1,  28
#define EDIT_BOUYNT			602 // 2,  29
#define EDIT_DEPTH			603 // 3,  30
#define EDIT_DR 			604 // 4,  31
#define EDIT_PHI 			605 // 5,  32
#define EDIT_CUU			606 // 6,  33
#define EDIT_Q		 		607 // 7,  34
#define EDIT_EPSILON50 		608 // 8,  35
#define EDIT_REFPRESS 		609 // 9,  36
#define EDIT_K		 		610 //10,  37

#define EDIT_DLTA		 	611 //11,  38
#define EDIT_ADH		 	612 //12,  39
#define EDIT_SEG		 	613 //13,  40 = 613-600+27


#define NSOILPROP 17	// Soil Layer Array elements defined
#define DPTH   0 // Depth to top of layer
#define THK    1 // Layer Thickness
#define TYP    2 // Type (Sand = 1.0  Clay = 2.0  C-Phi = 3.0)
#define UWT    3 // Dry Unit Wt
#define BWT    4 // Saturated Unit Wt
#define GWT    5 // Ground Water Table (bool = 1 or 0  true or false)
#define PHI    6 // Friction Angle
#define CUU    7 // Undrained Strength
#define E50    8 // E50 at Reference Pressure
#define REF    9 // Reference Pressure
#define KHORZ 10 // K (coefficient of horizontal earth pressure)

#define DLTA  11 // Side Friction Angle, Delta
#define ADH   12 // Adhesion

#define DR    13 // Dr (percent relative density)
#define Q     14 // Q = 10 for silica sand, Q = 6 to 7 for carbonate sand

#define SEGS  15 // Number of Pile Segment in Soil Layer

#define BOT   16 // BOTTOM LAYER (insert other properties above this one)
				 // use this property to tell program that this is the bottom 
				 // layer 0.0 = not bottom layer  1.0 = bottom layer 

#define NSOILSTRSS 7	// Soil Element Stress Array

//#define DPTH   0 // Depth to top of Element
#define TVS    1 // Total Vertical Stress (psf)
#define PWP    2 // Pore Water Pressure (psf)
#define EVS    3 // Effective Vertical Stress (psf)
#define EHS    4 // Effective Horizontal Stress (psf)
#define THS    5 // TotalHorizontal Stress (psf)
#define SID    6 // Originating Soil Layer number
#define LISTVIEW_0	2048

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Pile Segmentation (Tab 5)
#define Tab5_Static_1	3071
#define LISTVIEW_1		3072
#define Tab5_Static_2	3073
#define LISTVIEW_2		3074

#define E50FACTOR 0.2f  // used in calculating E50 = E50REF(EVS/REF)^E50FACTOR

// #define DPTH    0 // Depth to top of Element (ft)
// #define THK     1 // Thickness (height) of Element (ft)

   #define DIA     2 // Pile Average Dimension (Diameter) (ft)

// #define EVS     3 // Effective Vertical Stress (psf)
// #define EHS     4 // Effective Horizontal Stress (psf)
// #define THS     5 // TotalHorizontal Stress (psf)

// #define PHI     6 // Friction Angle
// #define CUU     7 // Undrained Strength
// #define E50     8 // E50 at Reference Pressure
// #define REF     9 // Reference Pressure
// #define KHORZ  10 // K (coefficient of horizontal earth pressure)
// #define DLTA   11 // Side Friction Angle, Delta
// #define ADH    12 // Adhesion
// #define DR     13 // Dr (percent relative density)
// #define Q      14 // Q = 10 for silica sand, Q = 6 to 7 for carbonate sand

   #define AREA   15 // Pile Area (in^2)
   #define EP     16 // Pile Young's Modulus = E (ksi)
   #define SA     17 // Pile Surface Area (in^2)
   #define PHIQ   17 // Calculated Effective Phi from qnet
   
   #define PHIM   18 // Phi(min)
   #define EVSS   19 // EVS (psf) at Phi(min)

   #define TLIM   20 // T (lim) Limiting Shear Stress (psf) = K*EVS*tan(DLTA)
   #define TULT   21 // T (ult) Ultimate Shear Stress (psf) = EVS*[(tan(45+PHI/2))^2-1]/[(tan(45+PHI/2))^2+1]

   #define QNETM  20 // Q (ult) Ultimate Net Bearing Stress (psf) based on Reduced Phi's
   #define QNET   21 // Q (ult) Ultimate Net Bearing Stress (psf) based on Phi

   #define E50I   22 // e50 at initial Effective Stress (EVS)

   #define E50ULT 23 // e50 at EVS - TULT
   #define PHI50  23 // Phi at PL = 50% 

   #define YF     24 // Strain = (1+v)EF, where EF = 30.4*E50U & v = 0.5, becomes YF=1.5*30.4*E50U
   #define ZPF    24 // tip displacement where EF(Strain) = 30.4*E50U (units = inches)

   #define E50T50 25 // Strain at confining pressure at EVS - T50%
   #define E50P50 25 // Strain at PL = 50%
   
   #define SDFT50 26 // Deviatoric Stress at failure confining pressure at EVS - T50%
   #define SL     27 // Stress Level

   #define EI50   28 // Initial Young's Modulus at 50% Shear Stress (t-z)
                     // also Epsilon(1) from Epsilon(50) at SL at PL=50% (q-z)

   #define ESL    29 // Young's Modulus at Stress Level
   #define ZP50   29 // reference displacement at PL=50% (q-z) (units = inches)

   #define Y50    30 // Y50 = T50/G50 = Tult/2/G50
   #define ER     30 // Reference Axial Strain, Epsilon(r)

   #define G50    31 // Shear Modulus at 50% failure
   #define EF     31 // (q-z)

   #define P      32 // Ratio Y50 / YF for t-z, ZP50 / ZPF for q-z 

   #define EI     33 // Initial Young's Modulus

   #define GI     34 // Initial Shear Modulus
   #define SDF    34 // Deviatoric Stress at failure confining pressure at EVS

   #define YR     35 // reference shear strain
   #define ZPR    35 // reference displacement (units = inches)

   #define BETA   36 // 
   #define R1     37 // 
   #define BETAUR 38 // 
   #define PSID   39 // Originating Soil Layer number

   #define NPILESTRSS 40	// Pile Element Stress Array


//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Pile T-Z Analysis Tab (Tab 6)
#define Tab6_NumText	12

#define Tab6_Static_1	4000	// Title/Heading
#define Tab6_Static_3	4001	// PL Heading
#define Tab6_Static_5	4002	// Zp Heading
#define Tab6_Static_6	4003	// Zp Value Reading calc Zp for R-O relationship
#define Tab6_Static_7	4004	// Qp Heading
#define Tab6_Static_8	4005	// Qp Value
#define Tab6_Static_9	4006	// Zt Heading
#define Tab6_Static_10	4007	// Zt Value Reading calc Zp for R-O relationship
#define Tab6_Static_11	4008	// Qt Heading
#define Tab6_Static_12	4009	// Qt Value
#define Tab6_Static_13	4010	// Kt Heading
#define Tab6_Static_14	4011	// Kt Value

#define Tab6_LISTVW_2	4100	// ListView LISTVIEW_3
#define Tab6_NEdit_4	4101	// PL Edit

#define NTZDATA 10	// number of T-Z Array data elements

//#define DPTH	 0	// Depth (ft)
#define SLVL	 1	// SL, Stress Level
#define QZ		 2	// k = Q/z of segment/element (kip/inch)
#define TZ		 3	// k = T/z of segment/element (kip/inch)

#define QT		 4	// axial force qA at top of segment/element (kips)
#define TM		 5	// shear force tA at middle of segment/element (kips)
#define QB		 6	// axial force qA at bottom of segment/element (kips)

#define ZT		 7	// z at top of segment/element (inches)
#define ZM		 8	// z at middle of segment/element (inches)
#define ZB		 9	// z at bottom of segment/element (inches)
