// dataVector.inc
// dataVector class  version 0.8
// by John Siino  date 03/21/2007
// based on example "oop1.src" by Paul Turley
// ----------------------------------------------------------------------

class dataVector                    // Class for Column Vector of doubles
{  
  declare dataVector();             // class constructor
  declare _dataVector();            // class destructor
  
  //member functions
  declare virtual Get(int pos), double;          // get value at position
  declare virtual Set(int pos, double value);    // set value at position
  
  declare virtual Ins(int pos, int value);       // insert value at position
  declare virtual ReSize(int size);              // resize vector
  declare virtual GetCount(),int;                // get number of elements
  
  declare ZeroAll();                             // reset all elements to zero
  declare RemoveAll();                           // reset array to zero elements (none)
  
  declare virtual Write(string title, string subtitle, string linetext, uint printflag);  // utility to write vectors

  declare virtual Copy(dataVector B), uint;         // copy  A = B
  declare virtual Copy2(dataVector B), uint;        // copy  B = A
  declare virtual Swap(dataVector B), uint;         // swap  A <-> B

  declare virtual PrintVector( string title, string subtitle, string linetext, int numdecimals, int spacing, unsigned int printflag );

//member variables
  int m_mem;                    // pointer to vector's memory address
  int m_GrowBy;                 // amount to grow memory by
  int m_numItems;               // number of elements in the vector
  int m_allocated;              // size of memory allocated
}

// ----------------------------------------------------------------------
declare extern MaxInt( int a, int b ), int ;
declare extern MaxDbl( double a, double b ), double;